input_allocate_device
Prev | Chapter 25. Input Subsystem | Next

## Name

input_allocate_device — allocate memory for new input device

## Synopsis

`struct input_dev * input_allocate_device (` |  | void`)`;

## Arguments

`void`

  no arguments

## Description

Returns prepared struct input_dev or NULL.

## NOTE

Use `input_free_device` to free devices that have not been registered; `input_unregister_device` should be used for already registered devices.

Prev | Up | Next
input_set_keycode | Home | input_free_device